Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.log
Class PrintEventLog

    java.lang.Object
      ix.icore.log.PrintEventLog

    public class PrintEventLog

extends java.lang.Object

Field Summary
`protected java.io.PrintStream` | `out`

Constructor Summary
`PrintEventLog()`

Method Summary
`protected void` | `beginEventDescription(HistoryEvent event)`
`protected void` | `describeEvent(BindingEvent event)`
`protected void` | `describeEvent(HistoryComment event)`
`protected void` | `describeEvent(HistoryEvent event)`
`protected void` | `describeEvent(ItemHandledEvent event)`
`protected void` | `describeEvent(MessageReceived event)`
`protected void` | `describeEvent(MessageSent event)`
`protected void` | `describeEventByType(HistoryEvent event)`
`protected void` | `endEventDescription(HistoryEvent event)`
`protected java.lang.String` | `eventClassName(HistoryEvent event)`
`static void` | `main(java.lang.String[] argv)`
`protected void` | `processCommandLineArguments()`
`protected void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected java.io.PrintStream out

Constructor Detail

### PrintEventLog

    public PrintEventLog()

Method Detail

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processCommandLineArguments

    protected void processCommandLineArguments()

### run

    protected void run()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### describeEvent

    protected void describeEvent(HistoryEvent event)

### beginEventDescription

    protected void beginEventDescription(HistoryEvent event)

### endEventDescription

    protected void endEventDescription(HistoryEvent event)

### describeEventByType

    protected void describeEventByType(HistoryEvent event)

### eventClassName

    protected java.lang.String eventClassName(HistoryEvent event)

### describeEvent

    protected void describeEvent(HistoryComment event)

### describeEvent

    protected void describeEvent(MessageSent event)

### describeEvent

    protected void describeEvent(MessageReceived event)

### describeEvent

    protected void describeEvent(ItemHandledEvent event)

### describeEvent

    protected void describeEvent(BindingEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD